# frag.jetzt Docker Orchestration

This repository contains everything the frag.jetzt backend requires to run and organize everything by using Docker:
- Configuration for Docker Compose
- Dockerfiles (and additional assets) to create modified versions of thirdparty images and enable plugins etc.

# Preparations for Windows

**We strongly recommend that you use Linux!** If you still want to use Windows, follow these instructions for setting up docker on windows: [frag.jetzt - Installing Docker on Windows via WSL 2](./docker_win_readme.md). But be warned: despite many optimizations, frag.jetzt doesn't run nearly as fast on Windows as it does on Linux!

# Usage

## Preparations

- Clone this repository.
- Inside the repositories root directory run `./set-env.sh dev`.
- If you want to serve the frontend on an address other than `http://localhost:4200`, adjust the `ALLOWEDORIGINS` environment in `docker-compose.yml`.

## Running

- Run `docker-compose up`. Append `-d` to run in detached mode for production.
- Run `docker-compose down` stop and remove the containers.
- Run `docker-compose pull` to update the images.
